<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Scanning|Discovery Scans">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn more about discovery scan options. " /><title>Discovery Scan Options</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#07-scanning/discovery-scan-options.html">Open topic with navigation</a>
        </p>
        <h2>Discovery Scan Options</h2>
        <p>You can configure the following options for a discovery scan. </p>
        <p class="SubHeading1">Target addresses</p>
        <p>Defines the individual hosts or network range that you want to scan.</p>
        <p class="SubHeading1">Perform initial&#160;port scan</p>
        <p>Performs a port scan before the discovery scan performs service version verification.</p>
        <p class="SubHeading1">Custom Nmap arguments</p>
        <p>Sends flags and commands to the Nmap executable. Discovery scan does not support the following Nmap options: 

-o,
-i,
-resume,
-script, 
-datadir, and
-stylesheet.</p>
        <p class="SubHeading1">Additional TCP ports</p>
        <p>Appends additional TCP ports to port scan. By default, the port scan covers a small, but wide range of ports. Use this option if you want to add more ports to the scan.</p>
        <p class="SubHeading1">Excluded TCP&#160;ports</p>
        <p>Excludes certain TCP ports from service discovery. By default, the port scan covers a specific range of ports. Use this option to add a port that you want to exclude from the scan.</p>
        <p class="SubHeading1">Custom TCP port range</p>
        <p>Specifies a range of TCP ports for the discovery scan to use instead of the default ports. If you set a custom TCP port range, the discovery scan ignores all default ports and uses the range that you define instead.</p>
        <p class="SubHeading1">Custom TCP source range</p>
        <p>Specifies the TCP source port that the discovery scan uses instead of the default port. Use this option to test firewall rules.</p>
        <p class="SubHeading1">Fast detect: Common TCP&#160;ports only</p>
        <p>Performs a scan on the most common TCP ports, which reduces the number of ports that the discovery scan scans.</p>
        <p class="SubHeading1">Portscan speed</p>
        <p>Controls the Nmap timing option. Choose from the following timing templates:

</p>
        <ul>
            <li value="1"><b class="UISelection">Insane (5)</b> - Speeds up the scan. Assumes that you are on a fast network and sacrifices accuracy for speed. Scan delay is less than 5 ms. </li>
            <li value="2"><b class="UISelection">
Aggressive (4)</b> - Speeds up the scan. Assumes that you are on a fast and reliable network. Scan delay is less than 10 ms. 
</li>
            <li value="3"><b class="UISelection">Normal (3)</b> - The default port scan speed. Does not affect the scan.</li>
            <li value="4"> <![CDATA[
]]><b class="UISelection">Polite (2)</b> - Uses less bandwidth and target resources to slow the scan.</li>
            <li value="5"><b class="UISelection"> 
Sneaky (1)</b> - Use this port scan speed for IDS evasion.
</li>
            <li value="6"><b class="UISelection">Paranoid (0)</b> - Use this port scan speed for IDS evasion. </li>
        </ul>
        <p class="SubHeading1">Portscan timeout</p>
        <p>Determines the amount of time Nmap spends on each host. The default value is 5 minutes. </p>
        <p class="SubHeading1">UDP&#160;service discovery</p>
        <p>Sets the discovery scan to find all services that are on the network. Metasploit uses custom modules instead of Nmap to perform UDP service discovery. </p>
        <p class="SubHeading1">Scan SNMP community strings</p>
        <p>Launches a background task that scans for devices that respond to a variety of community strings.</p>
        <p class="SubHeading1">Scan H.323 video endpoints</p>
        <p>Scans for H.323 devices. </p>
        <p class="SubHeading1">Enumerate users via finger</p>
        <p>Queries user names and attempts to bruteforce the user list if the discovery scan detects the Finger protocol. </p>
        <p class="SubHeading1">Identify unknown services</p>
        <p>Sets the discovery scan to find all unknown services and applications on the network. </p>
        <p class="SubHeading1">Single scan: scan hosts individually</p>
        <p>Runs a scan on individual hosts. The discovery scan scans the first host entirely and stores the information in the database before it moves onto the next host. </p>
        <p class="SubHeading1">Dry run: only show scan information</p>
        <p> If enabled, this option prepares the scan and shows all of the options that the Discovery Scan will use in the task log. However, it does not launch the scan.</p>
        <p class="SubHeading1">Web scan: run the Pro Web Scanner</p>
        <p>Automatically runs a web scan, web audit, and web exploit along with a discovery scan. It is generally recommended that you do not enable this option unless you are running a scan against a very small set of hosts. If you are running a discovery scan against a large number of hosts, you should run the web scanner separately from the discovery scan.</p>
        <p class="SubHeading1">SMB user name</p>
        <p>Defines the SMB user name that the discovery scan uses to attempt to login to SMB services.</p>
        <p class="SubHeading1">SMB&#160;password</p>
        <p>Defines the SMB password that the discovery scan uses to attempt to login to SMB services.</p>
        <p class="SubHeading1">SMB domain</p>
        <p>Defines the SMB server name and share name.</p>
    </body>
</html>